function f = f_ex( x, i );
%  Equation example.
%
%  Author: Martin Krosche
%          Institute of Scientific Computing
%          Technische Universitaet Braunschweig
%          Braunschweig, Germany
%
%  Copyright (c) 2009 Martin Krosche. All rights reserved. No warranty. No
%  liability.
%
%  F = F_ex( X, I ) returns the evaluation of the I'th two-dimensional equation
%  (where F(X) shall be equal 0) with two-dimensional input vector X.

  if i==1
    f = x(1)^2 + x(2)^2 - 25;
  elseif i==2
    f = x(2)   - x(1)   - 1;
  else
    error('F_EX1: INDEX I CAN ONLY BE 1 OR 2!');
  end;
