function f = f_ex2( x, i );
%  Equation example.
%
%  Author: Martin Krosche
%          Institute of Scientific Computing
%          Technische Universitaet Braunschweig
%          Braunschweig, Germany
%
%  Copyright (c) 2009 Martin Krosche. All rights reserved. No warranty. No
%  liability.
%
%  F = F_EX2( X, I ) returns the evaluation of the I'th two-dimensional equation
%  (where F(X) shall be equal 0) with two-dimensional input vector X.

  if i==1
    f = x(1)^2 + x(2)^2 - 0.6*x(2) - 0.16;
  elseif i==2
    f = x(1)^2 - x(2)^2 - x(1) + 1.6*x(2) - 0.14;
  else
    error('F_EX2: INDEX I CAN ONLY BE 1 OR 2!');
  end;
